Page MenuHomePhabricator

show ip bgp neighbor x.x.x.x advertised-routes empty
Closed, WontfixPublic

Description

Upgraded from 1.1.7 to 1.2.0 in a test environment with the production configs.
It looks like to neighbor receives the routes fine, but looking at the advertised-routes on the 1.2.0 router the list is empty

I will check and compare with vtysh

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

Merijn created this task.Nov 8 2017, 9:56 PM
Merijn created this object in space S1 VyOS Public.
Merijn created this object with visibility "Public (No Login Required)".
Merijn added a comment.EditedNov 8 2017, 10:10 PM

It seems this is a bug in FRR 3.0
https://github.com/FRRouting/frr/issues/509

And further investigation limits this issue to eBGP sessions. On iBGP sessions the command does work, so it is not an issue with Vyos.

syncer closed this task as Wontfix.Oct 13 2018, 7:26 PM

not vyos related

syncer edited projects, added Rejected; removed vyos-frr.Oct 15 2018, 6:30 AM